OTP::PDU::pdu Class Reference

The OTP::PDU::Pdu class. More...

`#include <pdu.h>`

Inheritance diagram for OTP::PDU::pdu:
[legend]

## Public Member Functions

| pdu ()
| pdu::pdu
| ~pdu ()
| pdu::~pdu
Stream | stream ()
| pdu::stream More...
virtual size_t | streamSize () const override
| pdu::streamSize More...
virtual void | iStream (Stream) override
| pdu::iStream More...
virtual void | oStream (Stream) const override
| pdu::oStream More...
template<class T >
void | createData ()
| createData
Public Member Functions inherited from ACN::PDU::pdu_stream_object
virtual void | iStream (Stream)=0
| fill structure data from input stream
virtual void | oStream (Stream) const =0
| write structure data to output stream

## Public Attributes

pdu_data * | data = nullptr
| data Message
uint16_t | vector = 0
| vector
Pdu | parent
| parent Message

## Protected Attributes

Stream | stream_
| buffer

## Detailed Description

The OTP::PDU::Pdu class.

## Member Function Documentation

## iStream()

void OTP::PDU::pdu::iStream | ( | Stream | stream | ) |

overridevirtual

pdu::iStream

Parameters

  stream |

Reimplemented in OTP::Transform::pdu, OTP::Transform::Point::pdu, OTP::Transform::Point::Module::pdu, OTP::Layer::pdu, OTP::Advertisement::pdu, OTP::Advertisement::System::pdu, OTP::Advertisement::Name::pdu, and OTP::Advertisement::Module::pdu.

Here is the call graph for this function:
Here is the caller graph for this function:

## oStream()

void OTP::PDU::pdu::oStream | ( | Stream | stream | ) | const

overridevirtual

pdu::oStream

Parameters

  stream |

Reimplemented in OTP::Layer::pdu.

Here is the call graph for this function:
Here is the caller graph for this function:

## stream()

Stream OTP::PDU::pdu::stream | ( |  | ) |

pdu::stream

Returns

Here is the caller graph for this function:

## streamSize()

size_t OTP::PDU::pdu::streamSize | ( |  | ) | const

overridevirtual

pdu::streamSize

Returns

Implements ACN::PDU::pdu_stream_object.

Reimplemented in OTP::Layer::pdu.

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/otp/pdu.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/otp/pdu.cpp